import 'package:json_annotation/json_annotation.dart';

part 'discount.model.g.dart';

@JsonSerializable()
class Discount {

  Discount();

  factory Discount.fromJson(Map<String, dynamic> json) => _$DiscountFromJson(json);
  Map<String, dynamic> toJson() => _$DiscountToJson(this);

  int id;
  int company_id;
  String description;
  String conditions;
  int price;
  int percentatge;
  int active;
  DateTime created_at;
  DateTime updated_at;

}